Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.pietschy.command
Interface Bindable

All Known Implementing Classes:
  AbstractFileCommand, AbstractFileOpenCommand, AbstractSaveAsCommand, AbstractUndoCommand, ActionCommand, ActionCommandDelegate, BindingSupport, CancelSwingWorkerCommand, CloseWindowCommand, Command, CommandGroup, DelegatingCommand, DelegatingToggleCommand, DelegatingToggleGroup, DelegatingToggleGroupCommand, LazyCommand, ProxyCommand, RecentFileList, RedoCommand, ReflectionCommand, ReflectionSwingWorkerCommand, SwingActionDelegate, SwingWorkerCommand, ToggleCommand, ToggleGroup, UndoCommand

    public interface Bindable

Defines standard binding operations for `ActionCommand`s, `CommandGroup`s and `ActionCommandDelegate`s.

See Also:
  `Command.bind()`, `CommandContainer.bind(java.awt.Component)`

Method Summary
`void` | `bind()` Binds to the global command container.
`void` | `bind(CommandContainer container)` Binds to the specified `CommandContainer`.
`void` | `bind(java.awt.Component component)` Binds to the specified component.
`void` | `rebind()` Re-evaluates the current binding.
`void` | `unbind()` Unbinds from the current container or component.

Method Detail

### bind

    void bind()

  Binds to the global command container.

  See Also:
    `CommandContainer.globalInstance()`

### bind

    void bind(CommandContainer container)

  Binds to the specified `CommandContainer`.

  Parameters:
    `container` - the container to bind to.

### bind

    void bind(java.awt.Component component)

  Binds to the specified component. The component heirarhy will be traversed to locate the nearest bound `CommandContainer`.

  Parameters:
    `component` - the component to bind to.
  See Also:
    `CommandContainer.bind(Component)`

### rebind

    void rebind()

  Re-evaluates the current binding. This is only relevant for component bindings.

### unbind

    void unbind()

  Unbinds from the current container or component.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006 - 2007 Andrew Pietsch